Description

Hi,

I know there have been several similar requests in the past but what is actually the current status. On our setup Katello 3.18 /

Foreman 2.3.5 we see that the exclusions and the scopes of our MS DHCP server are not honored. We noticed it this morning since

a few hosts manged by Katello were assigned IP reservations that are actually excluded or  not included in the general scope on the

MS DHCP Server. We know that we can adjust the start / stop range in Katello but there doesn't seem to be a way to add the

exclusions and to be honest, even if it would make more sense that the scope settings from the DHCP server are honored. This

makes sense especially since some times there is a separate team that administers the MS DHCP Server and this team is not aware

of another service like Katello not honoring their systems settings and policies. And sorry if this has already been fixed in a newer

release like Katello 4.x, but if that is the case it would be good to know as we are still planning to do the upgrade.

Best Regards,

Oliver

Related issues:

Related to Smart Proxy - Bug #1280: MS DHCP ignores address exclusions Resolved

Related to Smart Proxy - Feature #4171: Smart proxy DHCP plugin does not hono... Duplicate 01/23/2014

History

#1 - 12/08/2021 10:24 AM - Oliver Weinmann

- Related to Bug #1280: MS DHCP ignores address exclusions added

#2 - 12/08/2021 10:24 AM - Oliver Weinmann

- Related to Feature #4171: Smart proxy DHCP plugin does not honor exclude ranges  added

#3 - 12/09/2021 07:35 AM - Lukas Zapletal

- Priority changed from Normal to Low

Hello, Foreman is not an IPAM, it does not honor anything. The default DHCP provider just finds the next IP in the specified range as sequence,

checks that it is not allocated, pings it and if its free it reserves it.

There is some preliminary code to support IPAM the feature is called ExtermalIPAM but there are only two providers at the moment and the plugin is

still incubating.

You need to write ExternalIPAM for MSDHCP yourself I am afraid as most of the core maintainers are not interested in MSDHCP, these features are

community-driven. Feel free to reach out on the forums to ask if someone could deliver this for you, or maybe ask ATIX, the second largest Foreman

support company if they have anything for you.

#4 - 12/09/2021 07:38 AM - Lukas Zapletal

- Triaged changed from No to Yes

This could be perhaps done in the DHCP module itself and no ExternalIPMI plugin would be needed, simply checking if the recommended IP is in the

excluded range, if MSDHCP offers such API. Feel free to fix this.
